#!/bin/sh
#**************************************************************** {COPYRIGHT-TOP-RM} ***
# Licensed Materials - Property of IBM
#
# "Restricted Materials of IBM"
#
# 5724-C51
#
# (C) Copyright IBM Corp. 2004 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#**************************************************************** {COPYRIGHT-END-RM} ***
#!/bin/sh
#
# File:		getTECManagedNode.sh
#
# Product:	Tivoli Business Systems Manager
# Description:	Shell Script - get and save TEC Managed Node name
#
#
# set -x
if [ -f "$BINDIR/TDS/EventService/log/esTECManagedNode.error" ] ; then
  rm "$BINDIR/TDS/EventService/log/esTECManagedNode.error"
fi

# get the EventServer oid
tnr=`wlookup NameRegistry`
if [ $? -ne 0 ] ; then
  echo "wlookup NameRegistry" > "$BINDIR/TDS/EventService/log/esTECManagedNode.error"
  exit 1
fi

es=`idlcall $tnr local_lookup \"EventServer\" \"EventServer\"`
if [ $? -ne 0 ] ; then
  echo "idlcall $tnr local_lookup" > "$BINDIR/TDS/EventService/log/esTECManagedNode.error"
  exit 1
fi

eventserveroid=`idlarg 1 $es`

# get the EventServer Managed Node name
esmn=`idlattr -g -t $eventserveroid resource_host Object`
if [ $? -ne 0 ] ; then
  echo "idlattr -g -t $eventserveroid resource_host Object" > "$BINDIR/TDS/EventService/log/esTECManagedNode.error"
  exit 1
fi

esmn=`idlattr -g -t $esmn label string`
if [ $? -ne 0 ] ; then
  echo "idlattr -g -t $esmn label string" > "$BINDIR/TDS/EventService/log/esTECManagedNode.error"
  exit 1
fi

esmn=`eval echo $esmn`

if [ "$esmn" != "" ] ; then
  if [ -f "$BINDIR/TDS/EventService/config/esTECManagedNode.cfg" ] ; then
    rm "$BINDIR/TDS/EventService/config/esTECManagedNode.cfg"
  fi
  echo $esmn > "$BINDIR/TDS/EventService/config/esTECManagedNode.cfg"
  chmod 755 "$BINDIR/TDS/EventService/config/esTECManagedNode.cfg"
fi

exit 0
