@REM *************************************************************** {COPYRIGHT-TOP-RM} ***
@REM Licensed Materials - Property of IBM
@REM
@REM "Restricted Materials of IBM"
@REM
@REM 5724-C51
@REM
@REM (C) Copyright IBM Corp. 2004 All Rights Reserved.
@REM
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with
@REM IBM Corp.
@REM *************************************************************** {COPYRIGHT-END-RM} ***
     @echo off

@rem ***************************************************************************
@rem * Setup the environment and execute the provided command
@rem ***************************************************************************
     @setlocal

     @set whichshell=sh
     @if exist "%windir%\system32\drivers\etc\Tivoli\setup_tbsm.cmd" @set whichshell=sh

     @if "%windir%" == "" goto ISOS2
     @rem @if "%bindir%" == "" goto WINBINDR
     goto WINBINDR
     @if exist "%bindir%\tools\nul" goto TIVTOOL
     @goto TSTOOL

:WINBINDR
     @if not "%TSERVER_ETC%" == "" goto WINETC
     @if exist "%windir%\system32\drivers\etc\Tivoli\setup_tbsm.cmd" goto WINTBSM
     @if exist "%windir%\system32\drivers\etc\Tivoli\setup_env.cmd" goto WINTIV
     @goto FAILURE

:WINETC
     @if exist "%TSERVER_ETC%\setup_tbsm.cmd" goto WIN2TBSM
     @if exist "%TSERVER_ETC%\setup_env.cmd" goto WIN2TIV
     @goto FAILURE

:WIN2TBSM
     @call "%TSERVER_ETC%\setup_tbsm.cmd"
     @set T_SERVT=TW
     @goto WINDONE

:WIN2TIV
     @call "%TSERVER_ETC%\setup_env.cmd"
     @set T_SERVT=yes
     @goto WINDONE

:WINTBSM
     @call "%windir%\system32\drivers\etc\Tivoli\setup_tbsm.cmd"
     @set T_SERVT=TW
     @goto WINDONE

:WINTIV
     @call "%windir%\system32\drivers\etc\Tivoli\setup_env.cmd"
     @set T_SERVT=yes

:WINDONE
     @if exist "%bindir%\tools\nul" goto TIVTOOL
     @goto TSTOOL

:ISOS2
     @if exist "%bindir%\tools" goto TIVTOOL
     @goto TSTOOL

:TSTOOL
     @set PATH=%bindir%\TDS\EventService\tools;%bindir%\TDS\EventService\bin;%PATH%
     @set T_SERVP=yes
     @goto RUNCMD

:TIVTOOL
     @set PATH=%bindir%\tools;%bindir%\TDS\EventService\bin;%PATH%
     @set T_SERVP=yes
     @goto RUNCMD

:FAILURE
     @echo "rc(5902) setup_env.cmd not found"
     @goto THEEND

:RUNCMD
     @set NLSPATH=%NLSPATH%;%BINDIR%\TDS\EventService\msg_cat\%%L\%%N.cat
     @if "%windir%" == "" goto SETOS2
     @goto READY

:SETOS2
     @set BEGINLIBPATH=%BINDIR%\TDS\EventService\bin;
     @set HELP=%HELP%;%BINDIR%\TDS\EventService\msg_cat\C;
     @set T_SERVT=yes

:READY
     @if {%1} == {}     goto USAGE

     @if %1 == -?       goto USAGE
     @if %1 == service  goto CMDFILE
     @if %1 == SERVICE  goto CMDFILE
     @if %1 == ihszfmt  goto CMDFILE
     @if %1 == IHSZFMT  goto CMDFILE
     @if %1 == ihszset  goto CMDFILE
     @if %1 == IHSZSET  goto CMDFILE
     @if %1 == ihszsett goto CMDFILE
     @if %1 == IHSZSETT goto CMDFILE
     @if %1 == gtmmaint goto SHALL
     @if %1 == GTMMAINT goto SHALL
     @goto SHFILE

:CMDFILE
     @call "%bindir%\TDS\EventService\bin\%1" %2 %3 %4 %5 %6 %7 %8 %9
     @goto THEEND

:SHFILE
     @if %1 == usage.sh set T_SERVT=TWU
     @if %1 == usage set T_SERVT=TWU
     @call %whichshell% "%BINDIR%\TDS\EventService\bin\%1" %2 %3 %4 %5 %6 %7 %8 %9
     @goto THEEND

:SHALL
     @call %whichshell% "%BINDIR%\TDS\EventService\bin\%1" %*
     @goto THEEND

:USAGE
     @set T_SERVT=TWU
     @call %whichshell% "%BINDIR%\TDS\EventService\bin\usage.sh" "tserver" "PC"

:THEEND

     @endlocal
